<!DOCTYPE html>

<html lang="en">
    <head>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.css">
    </head>
    <body>
        <div class="ui container">
            <div id="messages">
            </div>
            <br />
            <h2>Ask Question</h2>
            <div class="ui form">
                <form id="question-form">
                    <div class="ui input">
                        <input name="name" type="text" placeholder="Name" required>
                    </div>
                    <div style="min-height: 7px"></div>
                    <div class="field">
                        <textarea name="question" placeholder="Question" required></textarea>
                    </div>
                    <br />
                    <button type="submit" class="ui right floated primary button">Send</button>
                </form>
            </div>
            <a href="/list">List all questions</a>
        </div>
    </body>

    <script type="text/javascript">
        var form = document.getElementById("question-form");
        form.onsubmit = function (e) {
            e.preventDefault();
            var name = form.name.value;
            var question = form.question.value;
            fetch("/questions", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json"
                },
                body: JSON.stringify({name: name, question: question})
            }).then(function (response) {
                if(response.ok) {
                    form.reset();
                    var successMessage = document.createElement('div');
                    successMessage.className = "ui green message";
                    successMessage.innerText = "Question has been sent :)";
                    successMessage.style = "position: absolute; width: 65%; margin-top: 20px;";
                    document.getElementById("messages").appendChild(successMessage);
                    setTimeout(function () {
                        document.getElementById("messages").innerHTML = '';
                    }, 3000);
                } else {
                    var failMessage = document.createElement('div');
                    failMessage.className = "ui red message";
                    failMessage.innerText = "Cannot send your message :(";
                    failMessage.style = "position: absolute; width: 65%; margin-top: 20px;";
                    document.getElementById("messages").appendChild(failMessage);
                    setTimeout(function () {
                        document.getElementById("messages").innerHTML = '';
                    }, 3000);
                }
            });
        };
    </script>

</html>